Bug 531717 - ghc-*-devel should not be multilib
ghc-*-devel should not be multilib
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mash (Show other bugs)
16
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
exclude ghc-*-devel from multilib
: Reopened
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-10-29 05:15 EDT by Jens Petersen
Modified: 2014-03-16 23:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:58:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-10-29 05:15:07 EDT
Description of problem:
We don't ship ghc multilib and don't want to I think
but I see libraries ghc-*-devel are multilib in f12 rawhide,
can they be blacklisted?
Comment 1 Bill Nottingham 2010-01-11 15:34:51 EST
http://git.fedorahosted.org/git/?p=mash;a=commitdiff;h=71baa6362d91056f7a6ced6c268b801051709f55

Added, will show up in rawhide eventually.
Comment 2 Jens Petersen 2010-01-12 20:36:04 EST
> blacklist = ['dmraid-devel', 'ghc-devel', ...

There is no ghc-devel package.  Can blacklist use '*'?
It should be 'ghc-*-devel'.
Comment 3 Bill Nottingham 2010-01-13 13:00:33 EST
Not as of now, unfortunately.
Comment 4 Bug Zapper 2010-03-15 08:59:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-02 13:32:47 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jens Petersen 2011-06-03 04:38:36 EDT
Still true for F15.
Comment 7 Jens Petersen 2011-09-14 06:25:35 EDT
New problem: since ghc-*-prof is not multilib but
since ghc-*-devel is and we started merging ghc-*-prof into
ghc-*-devel this is breaking repoclosure for new
ghc-*-devel.i686 packages in x86_64.  (This only affects
F15 and earlier: F16 doesn't have any ghc-*-prof packages any more.)
Comment 8 Jens Petersen 2012-02-09 23:54:40 EST
The last comment is obsolete or no longer true.

This is still causing problems for yum, autoqa, and repoclosure
of packages in updates-testing, etc.

How about this patch?:

diff --git a/mash/multilib.py b/mash/multilib.py
index cd4ff01..011a6e7 100644
--- a/mash/multilib.py
+++ b/mash/multilib.py
@@ -182,6 +182,8 @@ class DevelMultilibMethod(RuntimeMultilibMethod):
             for (p_name, p_flag, (p_e, p_v, p_r)) in po.provides:
                 if p_name == 'kernel-devel':
                     return False
+        if po.name.startswith('ghc-') and po.name.endswith('-devel'):
+            return False
         if po.name.endswith('-devel'):
             return True
         return False
Comment 10 Jens Petersen 2012-02-10 03:13:02 EST
(In reply to comment #8)
> +        if po.name.startswith('ghc-') and po.name.endswith('-devel'):
> +            return False
>          if po.name.endswith('-devel'):
>              return True
>          return False

Hmm, I guess:

          if po.name.endswith('-devel') and not po.name.startswith('ghc-'):
              return True
          return False

would be simpler and maybe more efficient.
Comment 11 Bill Nottingham 2012-02-10 14:55:29 EST
Why not just:

        if po.name.startswith('ghc-'):
            return False

?
Comment 12 Jens Petersen 2012-02-14 23:06:16 EST
(In reply to comment #11)
>         if po.name.startswith('ghc-'):
>             return False
> 
> ?

Ok sure, I think that should work fine too. :)

(I was just targeting "ghc-*-devel" explicitly since I think
the devel packages are the ones triggering multilib, but probably
that function is not too computationally intensive anyway?)
Comment 13 Bill Nottingham 2012-02-15 15:15:06 EST
Committed to master.
Comment 14 Jens Petersen 2012-03-05 00:02:38 EST
Thanks - when do you think this change will go into production?
Comment 15 Bill Nottingham 2012-03-05 11:21:18 EST
Not sure, is there a rush?
Comment 16 Bill Nottingham 2012-03-05 11:21:45 EST
Note that the packages that are currently in the tree dropping out could conceivably cause some upgade issues that would need to be worked around.
Comment 17 Fedora End Of Life 2013-01-16 21:02:52 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Jens Petersen 2013-01-17 05:31:45 EST
This looks fixed in the F18 release.
Comment 19 Fedora End Of Life 2013-02-13 21:58:47 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.